BSON_ITER_NEXT(3)

NAME
bson_iter_next - bson_iter_next()

SYNOPSIS

bool
bson_iter_next (bson_iter_t *iter);

PARAMETERS

•   iter: A bson_iter_t.

DESCRIPTION

Advances iter to the next element in the document.

RETURNS

true if iter was advanced. Returns false if iter has passed the last element in the document or encountered invalid BSON.

It is a programming error to use iter after this function has returned false.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc